{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Daftar Film
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1000px;">
        <div>
            <div style="height: 50px;"></div>
            <h1 class="text-center" style="font-weight: bolder;">Daftar Perfileman Indonesia</h1>
            <div style="height: 50px;"></div>
            <div style="color: #011936;">
                {%if user.is_authenticated%}
                {% if request.user|has_group:"maintainer" %} 
                <div>
                    <a href="/film/create-form"><button style="color: #011936; background-color: #B1EDE8;" type="button" class="btn btn-info">+Film Baru</button></a>
                </div>
                {%endif%}
                {% endif %}
                {% for item in object_list %}
                    <div style="height: 20px;"></div>
                    <div class="card">
                        <a href="/film/detail/{{ item.pk }}" style="color: #011936;">
                            <div class="card-body">
                                <h5 style="font-weight: bolder;" class="card-title">{{ item.judul_film }}</h5>
                                <p class="card-text">{{ item.sutradara }}</p>
                            </div>
                        </a>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock content %}
{% block script %}
{% endblock script %}